var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { aoCreateProcess, aoDryRun, aoSend } from '../common/ao';
import { AO, TAGS } from '../helpers/config';
export function createZone(args, wallet, callback) {
    return __awaiter(this, void 0, void 0, function* () {
        var _a;
        try {
            const tags = [{ name: TAGS.keys.bootloaderInit, value: AO.src.zone }];
            if (args.tags && args.tags.length)
                args.tags.forEach((tag) => tags.push(tag));
            const zoneId = yield aoCreateProcess({
                wallet: wallet,
                spawnTags: tags
            }, callback ? (status) => callback(status) : undefined);
            return zoneId;
        }
        catch (e) {
            throw new Error((_a = e.message) !== null && _a !== void 0 ? _a : 'Error creating zone');
        }
    });
}
export function updateZone(args, zoneId, wallet) {
    return __awaiter(this, void 0, void 0, function* () {
        try {
            const mappedData = Object.entries(args).map(([key, value]) => ({ key, value }));
            const zoneUpdateId = yield aoSend({
                processId: zoneId,
                wallet: wallet,
                action: 'Zone-Update',
                data: mappedData
            });
            return zoneUpdateId;
        }
        catch (e) {
            throw new Error(e);
        }
    });
}
export function addToZone(args, zoneId, wallet) {
    return __awaiter(this, void 0, void 0, function* () {
        try {
            const zoneUpdateId = yield aoSend({
                processId: zoneId,
                wallet: wallet,
                action: 'Zone-Append',
                tags: [{ name: 'Path', value: args.path }],
                data: args.data
            });
            return zoneUpdateId;
        }
        catch (e) {
            throw new Error(e);
        }
    });
}
export function getZone(zoneId) {
    return __awaiter(this, void 0, void 0, function* () {
        try {
            const processState = yield aoDryRun({
                processId: zoneId,
                action: 'Info',
            });
            return processState;
        }
        catch (e) {
            throw new Error(e);
        }
    });
}
//# sourceMappingURL=zones.js.map