import { CommentCreateArgType, CommentDetailType, DependencyType, TagType } from 'helpers/types';
export declare function createCommentWith(deps: DependencyType): (args: CommentCreateArgType, callback?: (status: any) => void) => Promise<string>;
export declare function getCommentWith(deps: DependencyType): (id: string) => Promise<CommentDetailType | null>;
export declare function getCommentsWith(_deps: DependencyType): (args: {
    parentId?: string;
    rootId?: string;
}) => Promise<{
    content: string;
    dataSource: string;
    rootSource: string;
    id: string;
    owner: string | null;
    creator: string | null;
    title: string | null;
    description: string | null;
    type: string | null;
    topics: string[] | null;
    implementation: string | null;
    contentType: string | null;
    renderWith: string | null;
    thumbnail: string | null;
    udl: import("helpers/types").UDLicenseType | null;
    collectionId: string | null;
    dateCreated: number | null;
    blockHeight: number | null;
    tags?: TagType[];
}[]>;
